libsigc++: sigc::retype_return_functor< void, T_functor > Struct Template Reference

libsigc++ 2.2.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
sigc::retype_return_functor< void, T_functor > Struct Template Reference
retype(), retype_return()

Adaptor that performs a C-style cast on the return value of a functor. More...

`#include <sigc++/adaptors/retype_return.h>`

Inheritance diagram for sigc::retype_return_functor< void, T_functor >:
[legend]

List of all members.

## Public Types
typedef void | result_type
Public Types inherited from sigc::adapts< T_functor >
typedef adaptor_trait < T_functor >::adaptor_type | adaptor_type

## Public Member Functions
void | operator() ()
template <class T_arg1 >
void | operator() (T_arg1 _A_a1)
template <class T_arg1 , class T_arg2 >
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template <class T_arg1 , class T_arg2 , class T_arg3 >
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| retype_return_functor (typename type_trait< T_functor >::take _A_functor)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor.

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()().

## Detailed Description

### template<class T_functor>
struct sigc::retype_return_functor< void, T_functor >

Adaptor that performs a C-style cast on the return value of a functor.

This template specialization is for a void return. It drops the return value of the functor it invokes. Use the convenience function sigc::hide_return() to create an instance of sigc::retype_return_functor<void>.